Name:		libsigscan
Version:	20160312
Release:	1%{?dist}
Summary:	Library for binary signature scanning
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libsigscan/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

           
%description
libsigscan is a library for binary signature scanning

%package devel
Summary: Header files and libraries for developing applications for libsigscan
Group: Development/Libraries
Requires: libsigscan = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsigscan.

%package tools
Summary: Several tools for binary signature scanning files
Group: Applications/System
Requires: libsigscan = %{version}-%{release} 
 

%description tools
Several tools for binary signature scanning files

%package python
Summary: Python 2 bindings for libsigscan
Group: System Environment/Libraries
Requires: libsigscan = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libsigscan

%package python3
Summary: Python 3 bindings for libsigscan
Group: System Environment/Libraries
Requires: libsigscan = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libsigscan

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pysigscan/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsigscan.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/sigscan
%{_mandir}/man1/*
%config %{_sysconfdir}/sigscan.conf

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so

%changelog
* Sat Mar 12 2016 Lawrence R. Rogers <lrr@cert.org> 20160312-1
* Release 20160312-1
	20160312
	* fixed bug in scan tree initialization
	* applied updates

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20160108-1
	20160108
	* worked on Python 3 support

	20160105
	* 2016 update

	20151221
	* applied updates

* Sun Dec  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20151205-1
	Version 20151205

* Tue Jul 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150714-1
* Release 20150714-1
	20150714
	* bug fixes

	20150617
	* worked on Python bindings

	20150204
	* fixes in sigscan.conf
	* added sigscan.conf to dpkf/rules file

* Wed Jun  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150125-2
* Release 20150125-2
	Libuna GCC-5 Patch

* Wed Feb  4 2015 Joachim Metz <joachim.metz@gmail.com> 20150125-1
- Auto-generated

